# eric4.QScintilla.Lexers.LexerPostScript

Module implementing a PostScript lexer with some additional methods.

### Global Attributes

None

### Classes

LexerPostScript | Subclass to implement some additional lexer dependant methods.

### Functions

None

## LexerPostScript

Subclass to implement some additional lexer dependant methods.

### Derived from

QsciLexerPostScript, Lexer

### Class Attributes

None

### Methods

LexerPostScript | Constructor
initProperties | Public slot to initialize the properties.
isCommentStyle | Public method to check, if a style is a comment style.
isStringStyle | Public method to check, if a style is a string style.

#### LexerPostScript (Constructor)

LexerPostScript(parent = None)

Constructor

parent
  parent widget of this lexer

#### LexerPostScript.initProperties

initProperties()

Public slot to initialize the properties.

#### LexerPostScript.isCommentStyle

isCommentStyle(style)

Public method to check, if a style is a comment style.

Returns:
  flag indicating a comment style (boolean)

#### LexerPostScript.isStringStyle

isStringStyle(style)

Public method to check, if a style is a string style.

Returns:
  flag indicating a string style (boolean)

Up